Summary:	Tool for splitting .wav files
Name:		wavbreaker
Version: 	0.10
Release: 	4%{?dist}
License: 	GPLv2+
Group: 		Applications/Multimedia
URL: 		http://wavbreaker.sourceforge.net
Source: 	http://downloads.sourceforge.net/wavbreaker/%{name}-%{version}.tar.gz
Patch:		wavbreaker-0.8-desktop-file.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gtk2-devel, libxml2-devel, desktop-file-utils, alsa-lib-devel
BuildRequires:	gettext
Requires(post):	desktop-file-utils
Requires(postun): desktop-file-utils

%description
This application's purpose in life is to take a wave file and break it 
up into multiple wave files. It makes a clean break at the correct 
position to burn the files to an audio cd without any dead air between 
the tracks. It will only read wave files, so use an appropriate tool to 
convert ogg, mp3, etc. files and then break them up.

%prep
%setup -q
%patch -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}

desktop-file-install --vendor fedora                \
        --dir %{buildroot}%{_datadir}/applications  \
        --add-category X-OutputGeneration           \
        --delete-original                           \
        %{buildroot}%{_datadir}/applications/wavbreaker.desktop

%clean
rm -rf %{buildroot}

%post
update-desktop-database %{_datadir}/applications &> /dev/null ||:

%postun
update-desktop-database %{_datadir}/applications &> /dev/null ||:

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/wav*
%{_datadir}/applications/*wavbreaker.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/pixmaps/wavbreaker.png
%{_mandir}/man*/wav*
%doc ChangeLog CONTRIBUTORS NEWS AUTHORS COPYING README TODO

%changelog
* Wed Sep 23 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.10-4
- Update desktop file according to F-12 FedoraStudio feature

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jun 5 2008 Homer <dmaley at nc.rr.com> - 0.10-1
- move to latest upstream release

* Fri May 23 2008 Todd Zullinger <tmz@pobox.com> - 0.9-4
- fix license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9-3
- Autorebuild for GCC 4.3

* Tue Jan 22 2008 Homer <dmaley at nc.rr.com> 0.9-2
- bump release for F8 -> F9 upgrade path

* Tue Nov 20 2007 Homer <dmaley at nc.rr.com> 0.9-1
- move to latest upstream release

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.8.1-4
- Rebuild for selinux ppc32 issue.

* Tue Aug 28 2007 Homer <dmaley at nc.rr.com> 0.8.1-3
- bump rev for F-8 mass rebuild

* Fri Jul 6 2007 Homer <dmaley at nc.rr.com> 0.8.1-2
- new version 0.8.1

* Sun May 13 2007 Homer <dmaley at nc.rr.com> 0.8-1
- new version 0.8

* Tue Oct 3 2006 Homer <dmaley at nc.rr.com> 0.7-6
- added wavbreaker-tooltips.patch

* Thu Jun 1 2006 Homer <dmaley at nc.rr.com> 0.7-5
- replaced wavbreaker-0.7-browsedir-set_current_folder.patch w/ 
  wavbreaker-0.7-browsedir-set_current_folder-v2.patch

* Tue May 30 2006 Homer <dmaley at nc.rr.com> 0.7-4
- added wavbreaker-0.7-browsedir-set_current_folder.patch

* Mon Apr 3 2006 Homer <dmaley at nc.rr.com> 0.7-3
- fixed %doc

* Tue Mar 21 2006 Homer <dmaley at nc.rr.com> 0.7-2
- added %doc

* Mon Feb 27 2006 Homer <dmaley at nc.rr.com> 0.7-1
- initial 0.7 build

* Mon Feb 20 2006 Homer <dmaley at nc.rr.com> 0.7a-1
- initial 0.7a build

* Mon Jan 25 2006 Homer <dmaley at nc.rr.com> 0.6.1-6
- default to ALSA

* Mon Dec 19 2005 Homer <dmaley at nc.rr.com> 0.6.1-5
- more .spec cleanup

* Fri Dec 9 2005 Homer <dmaley at nc.rr.com> 0.6.1-4
- continued .spec cleanup

* Wed Dec 7 2005 Homer <dmaley at nc.rr.com> 0.6.1-3
- cleaned up .spec based on Fedora Extras guidelines

* Mon Sep 12 2005 Homer <homerj at nc.rr.com> 0.6-homer.2
- fixed progress bar for save-as (wavbreaker-saveas-progress.patch)

* Thu Jun 2 2005 Homer <homerj at nc.rr.com> 0.6-homer.1
- rebuilt for 0.6.1 (bugfix release)

* Wed Jun 1 2005 Homer <homerj at nc.rr.com> 0.6-homer.1
- 0.6 released

* Wed May 23 2005 Homer <homerj at nc.rr.com> 0.6c-homer.2
- 0.6c (beta) release

* Wed May 19 2005 Homer <homerj at nc.rr.com> 0.6b-homer.3
- SPEC file clean-up

* Sat Feb 12 2005 Homer <homerj at nc.rr.com> 0.6b-homer.2
- appconfig.c: added remember-driver patch

* Tue Feb 8 2005 Homer <homerj at nc.rr.com> 0.6b-homer.1
- 0.6b (beta) release
- Makefile.am: added -lasound to wavbreaker_LDADD to fix compile error

* Fri Oct 29 2004 Homer <homerj at nc.rr.com> 0.5-homer.2
- attempted fix file closing bug (wavbreaker-fclose.patch)
- added BuildRequires for gtk2-devel

* Tue Jul 13 2004 Homer <homerj at nc.rr.com> 0.5-homer.1
- rebuilt for 0.5 release

* Thu Jul 1 2004 Homer <homerj at nc.rr.com> 0.4-homer.4
- actually fixed icon bug

* Thu Jul 1 2004 Homer <homerj at nc.rr.com> 0.4-homer.2
- (failed) attempt to fix icon bug

* Mon Jun 15 2004 Homer <homerj at nc.rr.com>
- initial build
